package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.EmbarcadaDispOperador;

public interface EmbarcadaDispOperadorService extends GenericService<EmbarcadaDispOperador, Long> {

	public List<EmbarcadaDispOperador> buscarEmbarcadaDispOperadorPorDispositivo(Long dispositivoEmbarcadaId);

	public List<EmbarcadaDispOperador> buscarEmbarcadaDispOperadorPorPuntoVenta(Long puntoVentaId);

	public boolean removerListEmbarcadaDispOperador(List<EmbarcadaDispOperador> embarcadaDisOperadorList);
	
	public boolean inserirListEmbarcadaDispOperador(List<EmbarcadaDispOperador> embarcadaDisOperadorList);

}
